body
{
	box-sizing: border-box;
	-webkit-text-size-adjust: 100%;
}

html, body
{
	margin: 0;
	padding: 0;
	font-family: "Raleway", sans-serif;
	font-size: 15px;
	line-height: 1.5;	
}

a
{
	background-color: transparent!important;
	color: #000;
	text-decoration: none;
	cursor: pointer;
}

b
{
	font-weight: bolder;
}

h1
{
	font-size: 36px;
}

h2
{
	font-size: 30px;
}

h3
{
	font-size: 24px;
}

h4
{
	font-size: 20px;
}

h5
{
	font-size: 18px;
}

h6
{
	font-size: 16px;
}

h1,h2,h3,h4,h5,h6 {
	font-weight: 400;
	margin: 10px 0
}

nav
{
	display: block;
}

.estilo-body
{
	max-width: 1600px;
	color: #000 !important;
	background-color: #fff;
	margin-left: auto;
	margin-right: auto;
}

.relleno
{
	padding: 8px 16px;
}

.bg-dark
{
	background-color: #08252b;
	color: #fff;
}

.margen-izq
{
	margin-right: 16px!important;
}

.letra-larga
{
	font-size: 18px;
}

.flotar-izquierda
{
	float: right;
}

.hover-opacidad:hover
{
	opacity: 0.60;
}

.boxShadow
{
	box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
}

/*--- Barra lateral y Nav ---*/
.barra-lateral
{
	height: 100%;
	width: 300px;	
	position: fixed!important;
	z-index: 1;
	overflow: auto;
}

.logo
{
	width: 45%;
	border-radius: 4px;
}

.contenedor
{
	content: "";
	display: table;
	clear: both;
	padding: 0.01em 16px;
}

.ico-cerrar
{
	font-size: 50px!important;
	color: #f1f1f1;
}

.ico-cerrar i
{
	text-shadow: 2px 2px 4px rgba(0, 0, 0, .5);
}

.menu
{
	min-width: 100%;
}

.item a
{
	color: #fff;
}

.redes i
{
	color: #fff;
}


.boton
{
	border: none;
	display: inline;
	padding: 8px 16px;
	vertical-align: middle;
	overflow: hidden;
	background-color: inherit;
	text-align: center;
	cursor: pointer;
	white-space: normal;
	user-select: none;
}

.boton:first-child
{
	background-color: #ccc;
}

.boton:disabled
{
	cursor: not-allowed;
	opacity: 0.3;
}

.item
{
	width: 100%;
	display: block;
	text-align: left;
	border: none;
	white-space: normal;
	float: none;
	outline: 0;
}

.text-cian
{
	color: #69d2e7 !important;
}

.redes:after, .redes:before
{
	content: "";
	display: table;
	clear: both;
}

.redes
{
	padding: 0.01em 16px;
	margin: 16px 0;
}

/*---Main---*/
.main
{
	margin-left: 300px;
	transition: margin-left .4s;
	display: block;
}


.logo-header
{
	width: 56px;
	margin: 16px;
}

#boton_bars
{
	font-size: 24px !important;
	top: 5px;
	left: 4px;
	text-align: left;
	cursor: pointer;
	position: fixed;
	z-index: 1000;
}

.sobre-mi h1
{
	margin: 70px 0;
	text-align: center;
}

.proyectos h1
{
	margin: 50px 0;
	text-align: center;
}

.formulario-contacto h1
{
	margin: 40px 0;
	text-align: center;
}

.paginacion .page-link
{
	color: #212529!important;
	transition: none;
}


.active>.page-link
{
	border-color: #69d2e7;
	background-color: #69d2e7;
	color: #212529;
	z-index: 0;
}


/*-- Sobre mi ---*/
.sobre-mi img
{
	width: 300px;
	height: 300px;
	object-fit: cover;
	border-radius: 50%;
	filter: grayscale(50%);
}

.sobre-mi .card
{
	max-width: 1000px!important;
	background-color: #fff!important;
}

.card-text
{
	font-weight: 400;
	color: #08252b;
	font-size: 18px;
}

.spinner-grow, .spinner-grow-sm
{
	color: #08252b;
	font-weight: 600;
}

.sobre-mi .btn span
{
	color: #000 !important;
	font-weight: bold;
}

/*--proyectos--*/
.contenedor-proyecto
{
	position: relative;	
}

.img-proyecto
{
	display: block;
	width: 100%;
	height: auto;
	border-radius: 15px;
}

.otra-cara-proyecto
{
	position: absolute;
	top: 0%;
	bottom: 0;
	left: 0;
	right: 0;
	height: 100%;
	width: 100%;
	opacity: 0;
	transition: opacity 1s ease;
	text-align: center;
	font-size: 15px;
	font-weight: bold;
	color: #08252b;
	background-color: #69D2E7;
	padding: 13px;
	border-radius: 15px;
}

.otra-cara-proyecto h5
{
	margin-top: 20px;
}

.contenedor-proyecto:hover .img-proyecto,
.contenedor-proyecto:hover .otra-cara-proyecto
{
	opacity: 1;
}

.boton-proyectos
{
	white-space: : nowrap;
	overflow: hidden;
	text-emphasis: ellipsis;
	display: inline-block;
}

.boton-proyectos:link, .boton-proyectos:visited
{
	background-color: #69D2E7;
	color: #08252b!important;
	border: 2px solid #08252b;
	padding: 10px 20px;
	text-align: center;
	text-decoration: none;
	display: inline-block;
	font-weight: bold;
}

.boton-proyectos:hover, .boton-proyectos:active
{
	background-color: #08252b!important;
	color: #fff!important;
	font-weight: bold;
}

/*---formulario de contacto---*/
.formulario-contacto
{
	justify-content: center;
	text-align: justify;
	margin: 20px 10px 0;
	padding: 0 30px 30px 20px;
	border-radius: 15px;
}

.formulario-contacto .btn
{
	background-color: #69d2e7 !important;
	color: #08252b !important;
	font-weight: bold;
	padding: 10px;
}

.formulario-contacto .politica
{
	font-size: 13px;
}

.asterisk-form-required
{
	color: red;
	font-size: 17px;
	display: inline;
}

/*--- Boton volver arriba ---*/

.vovlerArriba
{
	display: none;
	position: fixed;
	bottom: 20px;
	right: 20px;
	color: #69D2E7;
	font-weight: 400;
	font-size: 20px;
	padding: 5px;
	border: none;
	border-radius: 5px;
	cursor: pointer;
}


/*---footer---*/
.footer
{
	text-align: center;
	padding: 30px 0;
	margin-top: 25px;
	background-color:#f1f1f1;
}


/*---Media queries---*/

@media (min-width: 993px)
{
	.ocultar-large
	{
		display: none!important;
	}

	.barra-lateral
	{
		display: block!important;
	}

}

@media (max-width: 992px)
{
	.barra-lateral
	{
		display: none;
	}
	
	.main
	{
		margin-left: 0!important;
		margin-right: 0!important;
	}

	.logo
	{
		width: 40%;
	}

	.proyectos .pagination
	{
		margin-top: 20px;
	}

	.otra-cara-proyecto
	{
		padding: 5px;
		font-size: 12px;
		user-select: none;
	}

	.otra-cara-proyecto h5
	{
		margin-top: 10px;
	}


	.otra-cara-proyecto p
	{
		margin-bottom: 5px;
	}

	.sobre-mi img
	{
		width: 200px;
		height: 200px;
		object-fit: cover;
		border-radius: 50%;
		filter: grayscale(50%);
	}

}

@media (max-width: 600px)
{
	.boton
	{
		width: 100%;		
	}
}